function f=void_fill_noxy(v);
%VOID_FILL_NOXY - ???
%
%   Usage:
%      f=void_fill_noxy(v);

f=v;
pos1=find(isnan(f));
pos2=find(~isnan(f));
[i1,j1]=ind2sub(size(f),pos1);
[i2,j2]=ind2sub(size(f),pos2);
for n=1:length(pos1),
   if (mod(n,10)==0),
      disp(n/length(pos1)*100);
   end
   distance=sqrt((i1(n)-i2).^2+(j1(n)-j2)).^2;
[junk,i]=min(distance);
f(pos1(n))=f(pos2(i));
end

